import os
import sys

from gi.repository import Gio

here = os.path.abspath(os.path.dirname(__file__))

RESOURCE_PREFIX = '/com/craigcabrey/luminance'
__version__ = 'v0.1.0'

if os.path.exists(os.path.join(here, '../data')):
    print('Using local data')

    DATA_DIR = os.path.abspath(os.path.join(here, '../data'))
    settings = Gio.Settings.new_full(
        Gio.SettingsSchemaSource.new_from_directory(
            DATA_DIR,
            Gio.SettingsSchemaSource.get_default(),
            True
        ).lookup(
            'com.craigcabrey.luminance',
            False
        ),
        None,
        None
    )
else:
    DATA_DIR = '/usr/share/luminance'
    settings = Gio.Settings('com.craigcabrey.luminance')

Gio.Resource._register(
    Gio.Resource.load(
        os.path.abspath(
            os.path.join(
                DATA_DIR,
                'resources.gresource'
            )
        )
    )
)

def get_resource_path(resource):
    return '{prefix}/{resource}'.format(
        prefix=RESOURCE_PREFIX, resource=resource
    )

del here
del Gio
del os
del sys
